﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using GridTemplateColumnWithRadComboBox;
using System.Collections.Generic;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.DataSource = GetTurtles();
    }

    public List<Turtle> GetTurtles()
    {
        var turtles = new List<Turtle>();
        turtles.Add(new Turtle { ID = 1, Name = "Leo" });
        turtles.Add(new Turtle { ID = 2, Name = "Raph" });
        turtles.Add(new Turtle { ID = 3, Name = "Don" });
        turtles.Add(new Turtle { ID = 4, Name = "Mike" });
        return turtles;
    }

    protected void ddlActions_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        RadComboBox rcb = (RadComboBox)sender;
        GridDataItem data = (GridDataItem)rcb.NamingContainer;

        string id = data.GetDataKeyValue("ID").ToString();
        string name = data.GetDataKeyValue("Name").ToString();

        RadLabel1.Text = String.Format("<b>You selected:</b><br>SelectedValue: {0}<br>Text: {1}<br>ID: {2}<br>Name: {3}", rcb.SelectedValue, rcb.Text, id, name);
    }
}
